//
//  ViewController.m
//  导航标题按钮
//
//  Created by DFSJ on 2017/4/6.
//  Copyright © 2017年 dfsj. All rights reserved.
//

#import "ViewController.h"
#import "PWSegmentedView.h"
#import "PWSegmentedBottomView.h"
#import "TestOneVC.h"
#import "TestTwoVC.h"
#import "TestThreeVC.h"
#import "TestFourVC.h"
#import "TestFiveVC.h"

@interface ViewController ()<PWSegmentedViewDelegate,UIScrollViewDelegate>
@property (nonatomic, strong) PWSegmentedView *topSView;
@property (nonatomic, strong) PWSegmentedBottomView *bottomSView;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor = [UIColor whiteColor];
    self.automaticallyAdjustsScrollViewInsets = NO;
    NSArray *title_arr = @[@"精选", @"电视剧", @"电影", @"综艺",@"会员"];


    // 精选
    TestOneVC *oneVC = [[TestOneVC alloc] init];
    [self addChildViewController:oneVC];
    
    // 电视剧
    TestTwoVC *twoVC = [[TestTwoVC alloc] init];
    [self addChildViewController:twoVC];
    
    // 电影
    TestThreeVC *threeVC = [[TestThreeVC alloc] init];
    [self addChildViewController:threeVC];
    
    TestFourVC *fourVC = [[TestFourVC alloc] init];
    [self addChildViewController:fourVC];
    
    TestFiveVC *fiveVC = [[TestFiveVC alloc] init];
    [self addChildViewController:fiveVC];

    NSArray *childVC = @[oneVC, twoVC, threeVC, fourVC,fiveVC];

    self.topSView = [PWSegmentedView segmentedControlWithFrame:CGRectMake(0, 64, self.view.frame.size.width, 44) delegate:self childVcTitle:title_arr];
    [self.view addSubview:_topSView];
    
    self.bottomSView = [[PWSegmentedBottomView alloc] initWithFrame:CGRectMake(0,CGRectGetMaxY(self.topSView.frame), self.view.frame.size.width, self.view.frame.size.height)];
    _bottomSView.childViewController = childVC;
    _bottomSView.backgroundColor = [UIColor clearColor];
    _bottomSView.delegate = self;
    [self.bottomSView showChildVCViewWithIndex:0 outsideVC:self];
    [self.view addSubview:_bottomSView];

}

-(void) SGSegmentedControlStatic:(PWSegmentedView *)PWSegmentedViewStatic didSelectTitleAtIndex:(NSInteger)index{

    CGFloat offsetX = index * self.view.frame.size.width;
    
    self.bottomSView.contentOffset = CGPointMake(offsetX, 0);
    
    [self.bottomSView showChildVCViewWithIndex:index outsideVC:self];

}

#pragma mark - UIScrollViewDelegate
- (void)scrollViewDidEndDecelerating:(UIScrollView *)scrollView{
    
    // 计算滚动到哪一页
    NSInteger index = scrollView.contentOffset.x / scrollView.frame.size.width;
    
    // 1.添加子控制器view
    [self.bottomSView showChildVCViewWithIndex:index outsideVC:self];
    
    // 2.把对应的标题选中
    [self.topSView changeThePositionOfTheSelectedBtnWithScrollView:scrollView];
}


@end
